FUSE_TEARDOWN(3)

NAME
fuse_teardown - FUSE helper function

SYNOPSIS
#include <fuse.h>
void
fuse_teardown(struct fuse *f, char *mp);

DESCRIPTION
fuse_teardown() is a helper function that removes any signal handlers that were installed by a previous call to fuse_set_signal_handlers(3) or fuse_setup(3) and unmounts the file system mounted at mp. The FUSE session f is then destroyed.

SEE ALSO
fuse_destroy(3), fuse_remove_signal_handlers(3), fuse_unmount(3)

STANDARDS
The fuse_teardown() function conforms to FUSE 2.6.

HISTORY
The fuse_teardown() function first appeared in OpenBSD 5.4.

AUTHORS
Sylvestre Gallon <ccna.syl@gmail.com> Helg Bredow <helg@openbsd.org>